package online.wesal.wesal.dto;

import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.Size;
import java.util.List;

public class PostCreateRequestDTO {
    
    @NotBlank(message = "Post body cannot be empty")
    @Size(max = 2000, message = "Post body cannot exceed 2000 characters")
    private String body;
    
    @Size(max = 10, message = "Post cannot have more than 10 images")
    private List<String> images;
    
    public PostCreateRequestDTO() {}
    
    public PostCreateRequestDTO(String body) {
        this.body = body;
    }
    
    public PostCreateRequestDTO(String body, List<String> images) {
        this.body = body;
        this.images = images;
    }
    
    public String getBody() {
        return body;
    }
    
    public void setBody(String body) {
        this.body = body;
    }
    
    public List<String> getImages() {
        return images;
    }
    
    public void setImages(List<String> images) {
        this.images = images;
    }
}